"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var R = require('ramda');
var eslint_1 = require("./eslint");
var Formatter = /** @class */ (function () {
    function Formatter(project, ide) {
        this.ide = ide;
        var pkgJson = ide.getPkgJson();
        var eslintDep = R.path(['dependencies', 'eslint'], pkgJson);
        var eslintDevDep = R.path(['devDependencies', 'eslint'], pkgJson);
        if (eslintDep || eslintDevDep) {
            this.linter = new eslint_1.Eslinter(ide.getProjectRoot());
        }
    }
    Formatter.prototype.format = function (text, fileName) {
        try {
            return this.linter ?
                this.linter.format(text, fileName) :
                text;
        }
        catch (e) {
            this.ide.log("Failed to format output: " + e.message);
            return text;
        }
    };
    return Formatter;
}());
exports.Formatter = Formatter;
//# sourceMappingURL=formatter.js.map