"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.trimLeadingFolders = function (path, folders) {
    var interestingFolders = folders.filter(Boolean);
    if (interestingFolders.length === 0) {
        return {
            success: true,
            value: path,
        };
    }
    else if (!path) {
        return {
            success: false,
        };
    }
    else {
        var foldersHead = interestingFolders[0];
        var foldersTail = interestingFolders.slice(1);
        var cleanPath = path[0] === '/' ? path.slice(1) : path;
        var pathHead = cleanPath.slice(0, foldersHead.length);
        var pathTail = cleanPath.slice(foldersHead.length);
        var trimmedAMatch = pathHead === foldersHead;
        var fullMatch = pathTail[0] === '/' || pathTail === '';
        if (trimmedAMatch && fullMatch) {
            return exports.trimLeadingFolders(pathTail, foldersTail);
        }
        else {
            return {
                success: false,
            };
        }
    }
};
exports.attachLeadingFolders = function (path, folders) {
    if (folders.length === 0) {
        return path;
    }
    var foldersHead = folders[0];
    var foldersTail = folders.slice(1);
    var slashedPath = path[0] === '/' ? path : "/" + path;
    var tailResult = exports.attachLeadingFolders(slashedPath, foldersTail);
    return "/" + foldersHead + tailResult;
};
exports.removeExtension = function (path) { return path.replace(/\.[^.]+$/, ''); };
//# sourceMappingURL=path-helpers.js.map