"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var path = require('path');
var _a = require('../path-helpers'), removeExtension = _a.removeExtension, trimLeadingFolders = _a.trimLeadingFolders;
exports.subDir = function (projectFuncs, projectPaths, settings) {
    var testSuffix = settings.testSuffix, packagePath = settings.packagePath, sourcePath = settings.sourcePath, testPath = settings.testPath;
    return {
        sourceFileWPToTestFileWP: function (sourceFileWithinProject) {
            var srcDir = path.dirname(sourceFileWithinProject);
            var fileName = path.basename(sourceFileWithinProject);
            return path.join(srcDir, testPath, removeExtension(fileName) + testSuffix + '.js');
        },
        isPathWPTestFile: function (filePath) {
            var trimmedPathResult = trimLeadingFolders(filePath, [packagePath, sourcePath]);
            if (!trimmedPathResult.success) {
                return false;
            }
            return removeExtension(trimmedPathResult.value).endsWith(testSuffix);
        },
        testFileWPToSourceFileWP: function (p) {
            var fileName = path.basename(p);
            var baseFileName = removeExtension(fileName).slice(0, -testSuffix.length);
            var parentDir = path.dirname(path.dirname(p));
            return parentDir + "/" + baseFileName + ".js";
        },
    };
};
//# sourceMappingURL=sub-dir.js.map